"use strict";
function __export(m) {
    for (var p in m) if (!exports.hasOwnProperty(p)) exports[p] = m[p];
}
Object.defineProperty(exports, "__esModule", { value: true });
var text_base_1 = require("tns-core-modules/ui/text-base");
var view_base_1 = require("tns-core-modules/ui/core/view-base");
var stack_layout_1 = require("tns-core-modules/ui/layouts/stack-layout");
__export(require("tns-core-modules/ui/text-base"));
exports.tintProperty = new text_base_1.Property({ name: "tint", defaultValue: "" });
exports.checkedProperty = new text_base_1.Property({ name: "checked", defaultValue: false, valueConverter: view_base_1.booleanConverter });
var RadioButtonBase = (function (_super) {
    __extends(RadioButtonBase, _super);
    function RadioButtonBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return RadioButtonBase;
}(text_base_1.TextBase));
exports.RadioButtonBase = RadioButtonBase;
exports.tintProperty.register(RadioButtonBase);
exports.checkedProperty.register(RadioButtonBase);
exports.checkedButtonProperty = new text_base_1.Property({ name: "checkedButton", defaultValue: -1, affectsLayout: false });
var RadioGroupBase = (function (_super) {
    __extends(RadioGroupBase, _super);
    function RadioGroupBase() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    return RadioGroupBase;
}(stack_layout_1.StackLayout));
RadioGroupBase.checkedChangedEvent = "checkedChanged";
exports.RadioGroupBase = RadioGroupBase;
exports.checkedButtonProperty.register(RadioGroupBase);
//# sourceMappingURL=radio.common.js.map